SET DEFINE OFF;
Insert into UYE.KODTANIMI
   (KODTANIMI, KODDEGERI, ACIKLAMA, ISUPDATEABLE)
 Values
   ('ARSIV_PATH', 'T:\ARSIV\', 'Matbu formlar arivi iin dosyalarn yazlaca veri yolu', '1');
Insert into UYE.KODTANIMI
   (KODTANIMI, KODDEGERI, ACIKLAMA, ISUPDATEABLE)
 Values
   ('TEMPLATE_PATH', 'T:\TEMPLATE\', 'Matbu formlar iin taslak dosyalarn bulunduu veri yolu', '1');
COMMIT;

ALTER TABLE UYE.MATBUFORMTAKIP
 ADD (DOSYAADI  VARCHAR2(50));

CREATE OR REPLACE TRIGGER UYE.BI_MATBUFORMTAKIP
BEFORE INSERT
ON UYE.MATBUFORMTAKIP REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
DECLARE

ldt_GunlemeTarihi  DATE;

/******************************************************************************
   NAME:       UYE.BI_MATBUFORMTAKIP
   PURPOSE:    MATBUFORMTAKIP tablosunda bulunan SIRANO ve KULLANICIADI alanlarn doldurmak iin

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        06.02.2009   Gktan Elgin          1. Created this trigger.


 *****************************************************************************/
BEGIN
	 SELECT SysDate INTO :NEW.ISLEMTARIHI  FROM DUAL;
   	 SELECT Seq_MatbuFormTakip.NEXTVAL INTO :NEW.SIRANO FROM DUAL;

END;
/

ALTER TABLE UYE.MATBUFORM
ADD ( TEMPLATE_DOSYAADI  VARCHAR2(50 BYTE),
  GORUNTULENMESIN    INTEGER                    DEFAULT 0,
  SALTOKUNUR         INTEGER                    DEFAULT 1);

ALTER TRIGGER UYE.BI_MATBUFORMTAKIP COMPILE;

update UYE.MATBUFORM set goruntulenmesin = 0 , saltokunur = 1;
commit;

UPDATE UYE.ISLEM SET TETIK_CD = NULL;
ALTER TABLE UYE.ISLEM
MODIFY(TETIK_CD VARCHAR2(20));

alter trigger "UYE"."AD_DERECE_ISLEM" compile;
alter trigger "UYE"."AD_MAKBUZDETAY_LOG" compile;
alter trigger "UYE"."AD_MESLEKGRUBUNACEKODU_ISLEM" compile;
alter trigger "UYE"."AD_MESLEKGRUPLARI_ISLEM" compile;
alter trigger "UYE"."AD_TAHAKKUK_TAHAKKUKLOG" compile;
alter trigger "UYE"."AI_DERECE_ISLEM" compile;
alter trigger "UYE"."AI_MESLEKGRUBUNACEKODU_ISLEM" compile;
alter trigger "UYE"."AI_MESLEKGRUBUUYELIGI_ISLEM" compile;
alter trigger "UYE"."AI_MESLEKGRUPLARI_ISLEM" compile;
alter trigger "UYE"."AI_UYEDERECE_ISLEM" compile;
alter trigger "UYE"."AI_UYEDURUM_ISLEM" compile;
alter trigger "UYE"."AI_YETKILI_ISLEM" compile;
alter trigger "UYE"."AUD_MESLEKGRUBUUYELIGI_ISLEM" compile;
alter trigger "UYE"."AUD_UYEDERECE_ISLEM" compile;
alter trigger "UYE"."AUD_UYEDURUM_ISLEM" compile;
alter trigger "UYE"."AUD_YETKILI_ISLEM" compile;
alter trigger "UYE"."AU_DERECE_ISLEM" compile;
alter trigger "UYE"."AU_MESLEKGRUBUNACEKODU_ISLEM" compile;
alter trigger "UYE"."AU_MESLEKGRUPLARI_ISLEM" compile;
alter trigger "UYE"."AU_TAHAKKUK_TAHAKKUKLOG" compile;
alter trigger "UYE"."AU_UYE_ISLEM" compile;
alter trigger "UYE"."BI_MATBUFORMTAKIP" compile;
alter trigger "ADR"."AD_KISI_ISLEM" compile;
alter trigger "ADR"."AI_ADRES_ISLEM" compile;
alter trigger "ADR"."AI_FAALIYETDETAY_ISLEM" compile;
alter trigger "ADR"."AI_KISI_ISLEM" compile;
alter trigger "ADR"."AI_KURUMKISI_ISLEM" compile;
alter trigger "ADR"."AI_KURUM_ISLEM" compile;
alter trigger "ADR"."AI_NUFUSBILGISI_ISLEM" compile;
alter trigger "ADR"."AI_ORTAKLAR_ISLEM" compile;
alter trigger "ADR"."AI_TELEFON_ISLEM" compile;
alter trigger "ADR"."AUD_ADRES_ISLEM" compile;
alter trigger "ADR"."AUD_FAALIYETDETAY_ISLEM" compile;
alter trigger "ADR"."AUD_KURUMKISI_ISLEM" compile;
alter trigger "ADR"."AUD_NUFUSBILGISI_ISLEM" compile;
alter trigger "ADR"."AUD_ORTAKLAR_ISLEM" compile;
alter trigger "ADR"."AUD_TELEFON_ISLEM" compile;
alter trigger "ADR"."AU_KISI_ISLEM" compile;
alter trigger "ADR"."AU_KURUM_ISLEM" compile;
alter trigger "ADR"."AU_KURUM_KURUMLOG" compile;
