ALTER TABLE UYE.TAHAKKUK_LOG ADD (YAPILANDIRMA VARCHAR2(1));
ALTER TABLE UYE.TAHAKKUK_LOG ADD (ISKONTO NUMBER);

CREATE OR REPLACE TRIGGER UYE.ad_tahakkuk_tahakkuklog
AFTER DELETE
ON uye.tahakkuk
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
declare
    ls_kullaniciadi varchar2(16);
Begin

    -- --------------------------------------------------------------------------- --
    -- Programmers  : Gktan Elgin
    -- Description  : Uye.Tahakkuk tablosundaki silinen kayitlari
    --                Uye.Tahakkuk_Log tablosuna kaydetmektedir.                     --
    -- --------------------------------------------------------------------------- --

     ls_kullaniciadi := ort.tobbnet_standart.get_sessionuser;

     INSERT INTO uye.tahakkuk_log
     (logtarihi , tahakkuksirano , kullaniciadi , islem , tahakkuktipkodu ,
      kurumno , tescilsirano , usttahakkuksirano ,  salonislemsirano ,
      tahakkuktarihi , sonodemetarihi , tahakkuktipi , taksityili , taksitno ,
      tutar , tahsiledildi , af , cezaaf , aciklama, yapilandirma , iskonto )
      VALUES
      (sysdate, :old.tahakkuksirano , ls_kullaniciadi , 'D', :old.tahakkuktipkodu ,
      :old.kurumno , :old.tescilsirano , :old.usttahakkuksirano ,
      :old.salonislemsirano , :old.tahakkuktarihi , :old.sonodemetarihi ,
      :old.tahakkuktipi , :old.taksityili , :old.taksitno , :old.tutar ,
      :old.tahsiledildi , :old.af , :old.cezaaf , :old.aciklama , 
      :old.yapilandirma , :old.iskonto );

End;
/


CREATE OR REPLACE TRIGGER UYE.au_tahakkuk_tahakkuklog
AFTER UPDATE
ON uye.tahakkuk
REFERENCING NEW AS NEW OLD AS OLD
FOR EACH ROW
declare
    ls_kullaniciadi varchar2(16);
Begin

    -- --------------------------------------------------------------------------- --
    -- Programmers  : Gktan Elgin
    -- Description  : Uye.Tahakkuk tablosundaki kayitlarda yapilan degisiklikleri
    --                Uye.Tahakkuk_Log tablosuna kaydetmektedir.                     --
    -- --------------------------------------------------------------------------- --

     ls_kullaniciadi := ort.tobbnet_standart.get_sessionuser;

     INSERT INTO uye.tahakkuk_log
     (logtarihi , tahakkuksirano , kullaniciadi , islem , tahakkuktipkodu ,
      kurumno , tescilsirano , usttahakkuksirano ,  salonislemsirano ,
      tahakkuktarihi , sonodemetarihi , tahakkuktipi , taksityili , taksitno ,
      tutar , tahsiledildi , af , cezaaf , aciklama , yapilandirma , iskonto )
      VALUES
      (sysdate, :old.tahakkuksirano , ls_kullaniciadi , 'U', :old.tahakkuktipkodu ,
      :old.kurumno , :old.tescilsirano , :old.usttahakkuksirano ,
      :old.salonislemsirano , :old.tahakkuktarihi , :old.sonodemetarihi ,
      :old.tahakkuktipi , :old.taksityili , :old.taksitno , :old.tutar ,
      :old.tahsiledildi , :old.af , :old.cezaaf , :old.aciklama ,
      :old.yapilandirma , :old.iskonto );


End;
/


ALTER    FUNCTION    UYE.SF_TAHAKKUKEKLE    COMPILE;
ALTER    TRIGGER        UYE.AU_TAHAKKUK_TAHAKKUKLOG    COMPILE;
ALTER    TRIGGER        UYE.AD_TAHAKKUK_TAHAKKUKLOG    COMPILE;
ALTER    VIEW        ORT.V_DETAYLIMAKBUZ    COMPILE;
ALTER    PROCEDURE    UYE.SP_CEZAHESABI    COMPILE;
ALTER    PROCEDURE    UYE.SP_TAHSILAT    COMPILE;
ALTER    FUNCTION    UYE.SF_REP_GZTOPLAMTAHSILAT    COMPILE;
ALTER    FUNCTION    UYE.SF_REP_GZTOPLAM    COMPILE;
ALTER    FUNCTION    UYE.SF_REP_MAKBUZCEZA    COMPILE;
ALTER    FUNCTION    UYE.SF_KAYDIYETAHAKKUKSAYISI    COMPILE;
ALTER    FUNCTION    UYE.SF_TAHAKKUKEKLE    COMPILE;
ALTER    FUNCTION    UYE.SF_MAKBUZIPTAL    COMPILE;

