ALTER TABLE ADR.KURUMTIPI ADD (

ISLETMETURID INTEGER,
HIZMETDOKU VARCHAR2(100)
);


CREATE TABLE UYE.HTS_TAHAKKUKTURLISTESI
(
  ID            INTEGER,
  KODU          VARCHAR2(100 BYTE),
  ADI           VARCHAR2(255 BYTE),
  ISLETMETURID  INTEGER
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX SYSTEM.PK_HTS_TAHAKKUKTURLISTESI ON UYE.HTS_TAHAKKUKTURLISTESI
(ID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


ALTER TABLE UYE.HTS_TAHAKKUKTURLISTESI ADD (
  CONSTRAINT PK_HTS_TAHAKKUKTURLISTESI
 PRIMARY KEY
 (ID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));

GRANT ALTER, DELETE, INDEX, INSERT, REFERENCES, SELECT, UPDATE, ON COMMIT REFRESH, QUERY REWRITE, DEBUG, FLASHBACK ON UYE.HTS_TAHAKKUKTURLISTESI TO UYE;

SET DEFINE OFF;
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (1, '101', 'Ticari letmenin ve nvannn Tescil ve lan  (Ticari letme Rehni Dahil) (Gerek Kii ve Kooperatifler)', 1);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (2, '102', 'Ticari letmenin ve nvannn Tescil ve lan  (Ticari letme Rehni Dahil) (ahs irketleri)', 2);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (3, '103', 'Ticari letmenin ve nvannn Tescil ve lan  (Ticari letme Rehni Dahil) (Sermaye irketleri)', 3);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (4, '201', 'Temsile Yetkili Klnan Kimselerin Tescil ve lan  (Gerek Kii ve Kooperatifler)', 1);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (5, '202', 'Temsile Yetkili Klnan Kimselerin Tescil Ve lan  (ahs irketleri)', 2);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (6, '203', 'Temsile Yetkili Klnan Kimselerin Tescil Ve lan (Sermaye irketleri)', 3);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (7, '301', 'Ticaret Siciline Tescil Edilmi Olan Vakalardaki Deiikliklerin Tescili  (Ticari letme Rehni Dahil) (Gerek Kii ve Kooperatifler)', 1);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (8, '302', 'Ticaret Siciline Tescil Edilmi Olan Vakalardaki Deiikliklerin Tescili  (Ticari letme Rehni Dahil) (ahs irketleri)', 2);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (9, '303', 'Ticaret Siciline Tescil Edilmi Olan Vakalardaki Deiikliklerin Tescili (Ticari letme Rehni Dahil) (Sermaye irketleri)', 3);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (10, '401', 'Kayt Silinmesi (Ticari letme Rehni Dahil) (Gerek Kii ve Kooperatifler)', 1);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (11, '402', 'Kayt Silinmesi (Ticari letme Rehni Dahil) (ahs irketleri)', 2);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (12, '403', 'Kayt Silinmesi (Ticari letme Rehni Dahil) (Sermaye irketleri)', 3);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (13, '501', 'Ticaret Sicilinde Saklanan Belge rnei', -1);
Insert into UYE.HTS_TAHAKKUKTURLISTESI
   (ID, KODU, ADI, ISLETMETURID)
 Values
   (14, '502', 'Tasdikname', -1);
COMMIT;
CREATE TABLE UYE.HTS_CROSS
(
  HTSKODU   VARCHAR2(100 BYTE),
  HIZMETID  INTEGER
)
TABLESPACE USERS
PCTUSED    0
PCTFREE    10
INITRANS   1
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
LOGGING 
NOCACHE
NOPARALLEL
NOMONITORING;


CREATE UNIQUE INDEX UYE.HTS_CROSS_PK ON UYE.HTS_CROSS
(HTSKODU, HIZMETID)
LOGGING
TABLESPACE USERS
PCTFREE    10
INITRANS   2
MAXTRANS   255
STORAGE    (
            INITIAL          64K
            MINEXTENTS       1
            MAXEXTENTS       UNLIMITED
            PCTINCREASE      0
            BUFFER_POOL      DEFAULT
           )
NOPARALLEL;


ALTER TABLE UYE.HTS_CROSS ADD (
  CONSTRAINT HTS_CROSS_PK
 PRIMARY KEY
 (HTSKODU, HIZMETID)
    USING INDEX 
    TABLESPACE USERS
    PCTFREE    10
    INITRANS   2
    MAXTRANS   255
    STORAGE    (
                INITIAL          64K
                MINEXTENTS       1
                MAXEXTENTS       UNLIMITED
                PCTINCREASE      0
               ));

/*Dkkat************************* Eer hts kodu ile hizmet kodlarn ayn yaptysanz o zaman bu sql an*/ 
--insert into uye.hts_cross
--select kodu,kodu from uye.hts_tahakkukturlistesi l;
commit;